# profiler_node.h File Reference

Data structures to represent a single profiling event. More...

Go to the source code of this file.

## Classes

- class __gnu_profile::__object_info_base
    Base class for a line in the object table. More...
- class __gnu_profile::__stack_hash
    Hash function for summary trace using call stack as index. More...
- class __gnu_profile::__stack_info_base< __object_info >
    Base class for a line in the stack table. More...

## Namespaces

- namespace __gnu_profile

## Typedefs

- typedef void * __gnu_profile::__instruction_address_t
- typedef const void * __gnu_profile::__object_t
- typedef std::std::vector
  < __instruction_address_t > __gnu_profile::__stack_npt
- typedef __stack_npt * __gnu_profile::__stack_t

## Functions

- __stack_t __gnu_profile::__get_stack ()
- __gnu_profile::__size (const __stack_t &__stack)
- size_t __gnu_profile::__stack_max_depth ()
- void __gnu_profile::__write (FILE *__f, const __stack_t __stack)

## Detailed Description

Data structures to represent a single profiling event.

Definition in file profiler_node.h.